summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-04-17 00:24:39 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-04-17 08:09:45 +0200
commitf573d19bc059eacd037d2ea656b67e14dcaafa2d (patch)
tree3abe7b53ee35cfb7527bdfc70b129ee28a63802d /kde-frameworks/networkmanager-qt
parentkde-misc/latte-dock: 0.8.8 version bump (diff)
downloadgentoo-f573d19bc059eacd037d2ea656b67e14dcaafa2d.tar.gz
gentoo-f573d19bc059eacd037d2ea656b67e14dcaafa2d.tar.bz2
gentoo-f573d19bc059eacd037d2ea656b67e14dcaafa2d.zip
kde-frameworks: Add KDE Frameworks 5.57.0
Package-Manager: Portage-2.3.63, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-frameworks/networkmanager-qt')
-rw-r--r--kde-frameworks/networkmanager-qt/Manifest1
-rw-r--r--kde-frameworks/networkmanager-qt/networkmanager-qt-5.57.0.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/kde-frameworks/networkmanager-qt/Manifest b/kde-frameworks/networkmanager-qt/Manifest
index 4429b526fc8..467e2e034a5 100644
--- a/kde-frameworks/networkmanager-qt/Manifest
+++ b/kde-frameworks/networkmanager-qt/Manifest
@@ -1,2 +1,3 @@
DIST networkmanager-qt-5.54.0.tar.xz 180540 BLAKE2B e8962fe16fb47f04cbcd23f013f1a9156a900410f3ad92fa8538d208628b78dbea9337c764f05dfdede793ae9831f9f27b057adc7e993e60fdae8cd693ec2176 SHA512 3111e19d358cc8d395a60de1ed9d0a0d360f2994a0dd33c838ba4f01995e4e03c0fb2bb28b50d76ea36a7707ad25576c3e1fdcfefd0c1e5f8b54ce5f652fb6b1
DIST networkmanager-qt-5.56.0.tar.xz 180612 BLAKE2B 8d416995e3b0be21883c4667fb033de577789676515af4355b9db440c0d97030d8e2f5125d14ceea29986bd5f93c5c114e68d8095182b3e2031e3239ab2794f6 SHA512 b4629bf0cc73dd5b10ad9ec9b6c04070ed32f7035b18223529a8aee5b25fdc864981fbf20c8a329cc53402d8fe79e8e56c261fb3c29bf321f2719ba3ce54236f
+DIST networkmanager-qt-5.57.0.tar.xz 183136 BLAKE2B 19a6a51bba900e6b750e96a65ded86207aa7eda75219fa10ec510950b5514ce2af8257cbaa2774e9aebbe13116b7b0ea2fc9fb30f575094caa4651be601a17f3 SHA512 3ed341645b4e7be0bb47afbafb3dc1d2c30ff7c9dcce2acb647543cbd3fbec0e8896a7e2abb37cebf79679cf727ffa78a4f67b3253c8dd6036bb01a4086789df
diff --git a/kde-frameworks/networkmanager-qt/networkmanager-qt-5.57.0.ebuild b/kde-frameworks/networkmanager-qt/networkmanager-qt-5.57.0.ebuild
new file mode 100644
index 00000000000..07f72452f57
--- /dev/null
+++ b/kde-frameworks/networkmanager-qt/networkmanager-qt-5.57.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kde5
+
+DESCRIPTION="NetworkManager bindings for Qt"
+LICENSE="LGPL-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="teamd"
+
+BDEPEND="
+ virtual/pkgconfig
+"
+DEPEND="
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtnetwork)
+ >=net-misc/networkmanager-1.4.0-r1[teamd=]
+"
+RDEPEND="${DEPEND}
+ !net-libs/libnm-qt:5
+ || (
+ >=net-misc/networkmanager-1.4.0-r1[consolekit]
+ >=net-misc/networkmanager-1.4.0-r1[elogind]
+ >=net-misc/networkmanager-1.4.0-r1[systemd]
+ )
+"
+
+src_test() {
+ # bug: 625276
+ local myctestargs=( -E "(managertest|settingstest|activeconnectiontest)" )
+
+ kde5_src_test
+}